VDB_LOD(1)

NAME
vdb_lod - generates a volume mipmap from an OpenVDB grid

SYNOPSIS
vdb_lod in.vdb out.vdb -range FROM[-TO[:STEP]] [options]

DESCRIPTION
Which: generates a volume mipmap from an OpenVDB grid Where:

FROM
    is the highest-resolution mip level to be generated

TO  is the lowest-resolution mip level to be generated (default: FROM)

STEP
    is the mip level step size (default: 1)

OPTIONS

-name S[,S,S,...]
    name(s) of the grid(s) to be processed (default: process all grids of supported types)

-keep
    pass through grids that were not processed (default: discard grids that were not processed)

-nokeep
    cancel an earlier -keep option

-p, -preserve
    if only one mip level is generated, give it the same name as the original grid (default: name each level "NAME_level_N", where NAME is the original grid name and N is the level number, e.g., "density_level_0")

-nopreserve
    cancel an earlier -p or -preserve option

-version
    print version information

Mip level 0 is the input grid. Each successive integer level is half the resolution of the previous level. Fractional levels are supported.

EXAMPLES

    Generate levels 0, 1, and 2 (full resolution, half resolution, and quarter resolution, respectively) for all grids of supported types and ignore all other grids:

    vdb_lod in.vdb out.vdb -range 0-2

    Generate levels 0, 0.5, and 1 for all grids of supported types and pass through all other grids:

    vdb_lod in.vdb out.vdb -range 0-1:0.5 -keep

    Generate level 3 for the first of multiple grids named "density":

    vdb_lod in.vdb out.vdb -range 3 -name 'density[0]'

    Generate level 1.5 for the second of multiple unnamed grids and for the grid named "velocity" and give the resulting grids the same names as the original grids:

    vdb_lod in.vdb out.vdb -range 1.5 -name '[1],velocity' -p

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system (but may be used by others).